import { expect, tap } from '@pushrocks/tapbundle';
import * as smartmime from '../ts/index';

tap.test('should detect image', async () => {
  const filePath = 'file.jpg';
  const fileType = smartmime.detectMimeType(filePath);
  console.log(fileType);
  expect(smartmime.isBinary(filePath)).to.be.true;
});

tap.test('should detect text', async () => {
  const filePath = 'file.svg';
  const fileType = smartmime.detectMimeType(filePath);
  console.log(fileType);
  expect(smartmime.isBinary(filePath)).to.be.false;
});

tap.test('should detect json', async () => {
  const filePath = 'file.json';
  const fileType = smartmime.detectMimeType(filePath);
  console.log(fileType);
  expect(smartmime.isBinary(filePath)).to.be.false;
});

tap.test('should detect html', async () => {
  const filePath = 'file.html';
  const fileType = smartmime.detectMimeType(filePath);
  console.log(fileType);
});

tap.start();
